%define oname xapian-core
%define major 22
%define libname %mklibname %{name} %{major}
%define develname %mklibname %{name} -d

Summary:	Open Source Search Engine Library
Name:       xapian
Version:	1.2.24
Release:    %mkrel 3
License:	GPLv2+
Group:		Databases
URL:		http://www.xapian.org/
Source0:	http://www.oligarchy.co.uk/xapian/%{version}/%{oname}-%{version}.tar.xz
BuildRequires:	zlib-devel libuuid-devel

Obsoletes: xapian-core
Provides: xapian-core = %version-%release

%description
Xapian is an Open Source Search Engine Library, released under the 
GPL. It's written in C++, with bindings to allow use from Perl, 
Python, PHP, Java, Tcl, C#, and Ruby (so far!)

Xapian is a highly adaptable toolkit which allows developers to easily
add advanced indexing and search facilities to their own applications. 
It supports the Probabilistic Information Retrieval model and also 
supports a rich set of boolean query operators.

%files
%{_bindir}/copydatabase
%{_bindir}/delve
%{_bindir}/quest
%{_bindir}/simpleexpand
%{_bindir}/simpleindex
%{_bindir}/simplesearch
%{_bindir}/xapian-compact
%{_bindir}/xapian-check
%{_bindir}/xapian-progsrv
%{_bindir}/xapian-tcpsrv
%{_bindir}/xapian-inspect
%{_bindir}/xapian-chert-update
%{_bindir}/xapian-metadata
%{_bindir}/xapian-replicate
%{_bindir}/xapian-replicate-server
%{_mandir}/man1/*

#--------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries for %{name}
Group:		System/Libraries
Obsoletes:	%mklibname %{name} 14

%description -n %{libname}
Libraries for %{name}.

%files -n %{libname}
%{_libdir}/libxapian.so.%{major}*

#--------------------------------------------------------------------

%package  -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Obsoletes:	%mklibname %{name} 14 -d
Obsoletes:	%mklibname %{name} 15 -d

%description -n %{develname}
Header files for %{name}.

%files  -n %{develname}
%{_bindir}/xapian-config
%doc %{_docdir}/%{oname}/
%dir %{_includedir}/xapian
%{_includedir}/xapian/*.h
%{_includedir}/*.h
%{_datadir}/aclocal/xapian.m4
%{_libdir}/libxapian.so
%{_libdir}/cmake/xapian/xapian-config-version.cmake
%{_libdir}/cmake/xapian/xapian-config.cmake
%{_libdir}/libxapian.a 
%{_libdir}/libxapian.la
%{_libdir}/pkgconfig/xapian-core.pc
#--------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}

%build
%configure2_5x

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std



%changelog
* Sat Oct 07 2017 bb2 <bb2> - 1.2.24-3pclos2017
- rebuild against updates

* Mon Dec 12 2016 bb <bb> 1.2.24-2pclos2017
- obsolete xapian-core

* Wed Oct 07 2016 bb <bb> 1.2.24-1pclos2016
- update

* Sun Oct 02 2011 Texstar <texstar at gmail.com> 1.2.6-1pclos2011
- 1.2.6
